<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class pros_SINGLE_Controller extends Controller
{
    public $selfName = 'pros_SINGLE_Controller';
    public $dashboardName = 'dashboard';

	// GET /pros/view/{uid}/ACTION_sendCellNumberConfirmationMessage
	public function ACTION_sendCellNumberConfirmationMessage(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_sendCellNumberConfirmationMessage', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_confirmCellNumberWithConfirmationToken
	public function ACTION_confirmCellNumberWithConfirmationToken(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_confirmCellNumberWithConfirmationToken', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_putNewCellNumber
	public function ACTION_putNewCellNumber(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_putNewCellNumber', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_confirmEmailAddressWithConfirmationToken
	public function ACTION_confirmEmailAddressWithConfirmationToken(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_confirmEmailAddressWithConfirmationToken', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_putNewEmailAddress
	public function ACTION_putNewEmailAddress(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_putNewEmailAddress', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateName
	public function ACTION_updateName(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateName', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateProfession
	public function ACTION_updateProfession(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateProfession', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateEnrolledHcpInfo
	public function ACTION_updateEnrolledHcpInfo(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateEnrolledHcpInfo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_putProfilePicture
	public function ACTION_putProfilePicture(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_putProfilePicture', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updatePhoneInfo
	public function ACTION_updatePhoneInfo(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updatePhoneInfo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateAddress
	public function ACTION_updateAddress(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateAddress', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updatePaymentProcessingDetail
	public function ACTION_updatePaymentProcessingDetail(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updatePaymentProcessingDetail', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_uploadDriverLicense
	public function ACTION_uploadDriverLicense(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_uploadDriverLicense', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateDriverLicenseInfo
	public function ACTION_updateDriverLicenseInfo(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateDriverLicenseInfo', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateSsn
	public function ACTION_updateSsn(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateSsn', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_sendEmailAddressConfirmationMessage
	public function ACTION_sendEmailAddressConfirmationMessage(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_sendEmailAddressConfirmationMessage', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsHcpToTrue
	public function ACTION_setIsHcpToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsHcpToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsHcpToFalse
	public function ACTION_setIsHcpToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsHcpToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsEnrolledAsHcpToTrue
	public function ACTION_setIsEnrolledAsHcpToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsEnrolledAsHcpToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsEnrolledAsHcpToFalse
	public function ACTION_setIsEnrolledAsHcpToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsEnrolledAsHcpToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsEnrolledAsMcpToTrue
	public function ACTION_setIsEnrolledAsMcpToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsEnrolledAsMcpToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsEnrolledAsMcpToFalse
	public function ACTION_setIsEnrolledAsMcpToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsEnrolledAsMcpToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsVideoVisitAssistantToTrue
	public function ACTION_setIsVideoVisitAssistantToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsVideoVisitAssistantToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsVideoVisitAssistantToFalse
	public function ACTION_setIsVideoVisitAssistantToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsVideoVisitAssistantToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_removeProfilePicture
	public function ACTION_removeProfilePicture(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_removeProfilePicture', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateW9Detail
	public function ACTION_updateW9Detail(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateW9Detail', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_updateSignedContractPdf
	public function ACTION_updateSignedContractPdf(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_updateSignedContractPdf', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsPaymentProcessingDetailCompleteToTrue
	public function ACTION_setIsPaymentProcessingDetailCompleteToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsPaymentProcessingDetailCompleteToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsPaymentProcessingDetailCompleteToFalse
	public function ACTION_setIsPaymentProcessingDetailCompleteToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsPaymentProcessingDetailCompleteToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsDriverLicenseCompleteToTrue
	public function ACTION_setIsDriverLicenseCompleteToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsDriverLicenseCompleteToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsDriverLicenseCompleteToFalse
	public function ACTION_setIsDriverLicenseCompleteToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsDriverLicenseCompleteToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsSsnCompleteToTrue
	public function ACTION_setIsSsnCompleteToTrue(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsSsnCompleteToTrue', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_setIsSsnCompleteToFalse
	public function ACTION_setIsSsnCompleteToFalse(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_setIsSsnCompleteToFalse', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_dashboard', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_my_payment_schedule
	public function SUB_my_payment_schedule(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		$subRecords = DB::table('pro_rate')->where('pro_id', $record->id)->get();
		return response()->view('admin/pros_SINGLE/SUB_my_payment_schedule', compact('record', 'subRecords'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_clients
	public function SUB_clients(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_clients', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_pro_access
	public function SUB_pro_access(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		$subRecords = DB::table('client_pro_access')->where('pro_id', $record->id)->get();
		return response()->view('admin/pros_SINGLE/SUB_pro_access', compact('record', 'subRecords'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_mcp_updates
	public function SUB_mcp_updates(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_mcp_updates', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_ally_updates
	public function SUB_ally_updates(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_ally_updates', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_erx
	public function SUB_erx(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_erx', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_action_items
	public function SUB_action_items(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_action_items', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_care_months
	public function SUB_care_months(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_care_months', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_care_month_entries
	public function SUB_care_month_entries(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_care_month_entries', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_notes
	public function SUB_notes(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_notes', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_bills
	public function SUB_bills(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_bills', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_pro_transactions
	public function SUB_pro_transactions(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_pro_transactions', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_sessions
	public function SUB_sessions(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_sessions', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/SUB_audit_log
	public function SUB_audit_log(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/SUB_audit_log', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_my_payment_scheduleAddNew
	public function ACTION_my_payment_scheduleAddNew(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_my_payment_scheduleAddNew', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /pros/view/{uid}/ACTION_pro_accessAddNew
	public function ACTION_pro_accessAddNew(Request $request, $uid) {
		$record = DB::table('pro')->where('uid', $uid)->first();
		return response()->view('admin/pros_SINGLE/ACTION_pro_accessAddNew', compact('record'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}
}
